<? session_start();ini_set("display_errors",1);include("header.php");?>

<script type="text/javascript" src="js/autocomplete/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/autocomplete/jquery.autocomplete.css" media="all" />
<script src="js/windowfiles/dhtmlwindow.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="js/windowfiles/dhtmlwindow.css" media="all" />
<SCRIPT type="text/javascript" src="../../../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.js"></script>
<link type="text/css" rel="stylesheet" href="../../../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.css" media="screen"></LINK>

<script>
$().ready(function() {
    $("#rveracruz").autocomplete("lista_de_referencias_veracruz.php", {
		width: 260,
		matchContains: true,
		selectFirst: false
	});
	 
	$("#rveracruz").result(function(event, data, formatted) {
		//alert(data[0]);alert(data[2]);
		$("#rveracruz").val(data[1]);
		$("#rcliente").val(data[2]);
		$("#rclientetmp").val(data[2]);
	});
});
</script>

<?  

 
foreach($_POST[jid_bl] as $value){
    $jid_bl[]=$value;
}

foreach($_POST[jbookingno] as $value){
    $jbookingno[]=$value;
} 
foreach($_POST[jtipo] as $value){
    $jtipo[]=$value;
}
$j=1;
for($r=0;$r<count($jtipo);$r++){
	$CONF1[]=isset($_POST[$j]);
	$j++;
}
 
require_once("comun/conex_ver.php");
require_once("comun/conexion3.php");
require_once("comun/funciones.php");
$link_impo=con_impo();$link=con_ver();
 
if(! isset($_POST[flag])){
	$flag=0;
}else{
	// guarda todo
	$flag = 1;
	
foreach($_POST[nuevo_nombre] as $value){
    $jnuevo_nombre[]=$value;
} 
 
for($r=0;$r<count($jid_bl);$r++){
	mysqli_query($link,"update hblexpint set referencia = '".$_POST[rcliente]."',shipper_file = '".$_POST[rcliente]."' WHERE idhbl='".$jid_bl[$r]."'");
	  
}

 
 
}
 
?>
<form id="form_liberacion" name="form_liberacion" method="post" action="mover_booking.php" >
<input value="<?=$flag?>" name="flag" id="flag" type="hidden" />
<input value="<?=$_POST[referencia]!='' ? $_POST[referencia] : $_POST[Treferencia]?>" name="referencia" type="hidden" />
<input value="<?=$_POST[referencia_cliente]!='' ? $_POST[referencia_cliente] : $_POST[Treferencia_cliente1]?>" name="referencia_cliente" type="hidden" />
<input value="<?=$_POST[booking]!='' ? $_POST[booking] : $_POST[Tbooking]?>" name="booking" type="hidden" />
<input value="<?=$_POST[contenedor]!='' ? $_POST[contenedor] : $_POST[Tcontenedor]?>" name="contenedor" type="hidden" />
 
MOVER BOOKINGS A OTRA REFERENCIA<br /><br />
<? if($flag==0){?>
<table style="line-height:22px" border="1"  >
 
 
  <tr >
    <td>TIPO </td>
    <td>BOOKING</td>
  </tr>
  
 
  <? for($k=0;$k<count($CONF1);$k++){
  if($CONF1[$k]==1){?>
  <tr>
    <td><?=$jtipo[$k]?></td>
    <td><?=$jbookingno[$k]?></td>
    <input type="hidden" class="aa" id="nuevo_nombre[]" name="nuevo_nombre[]" value="<?=$jbookingno[$k]?>" size="25" maxlength="100" /> 
    <input type="hidden" id="jid_bl[]" name="jid_bl[]" value="<?=$jid_bl[$k]?>" size="40" maxlength="100" />
  </tr> 
  <? }
  } ?>

</table>
<p>MOVER A REFERENCIA:</p>
<table style="line-height:22px" border="1"  >
 
  <tr >
    <td width="204">REFERENCIA PUERTO </td>
    <td width="202"><input type="text" class="aa" id="rveracruz" name="rveracruz" size="25" maxlength="100" onkeypress="document.getElementById('rclientetmp').value=''" /></td>
    </tr>
 
  <tr>
    <td>REFERENCIA CLIENTE </td>
    <td><input type="text" class="aa" id="rcliente" name="rcliente" size="25" maxlength="100" />
    <input type="hidden"  id="rclientetmp" name="rclientetmp" size="25" maxlength="100" /></td>
  </tr>
 
</table>
<? } ?>
 <br />
  <input type="button" name="guardar" value="Mover"
  onclick="
  elemen=document.getElementsByName('nuevo_nombre[]');
  for(k=0;k<elemen.length;k++){
  if(elemen[k].value==''){
  alert('Ingrese NUEVO NOMBRE BOOKING, faltan completar nombres de nuevo booking');
  return;
  }
  }
  if(document.getElementById('rveracruz').value=='' || document.getElementById('rcliente').value==''){
  alert('Ingrese REFERENCIA PUERTO y REFERENCIA CLIENTE');
  return;
  }
  if(document.getElementById('rclientetmp').value==''){
   alert('Use Autocompletar para ingresar REFERENCIA PUERTO y REFERENCIA CLIENTE');
   return;
  }
  document.getElementById('flag').value=1;
  document.getElementById('form_liberacion').action='mover_booking.php';
  document.getElementById('form_liberacion').submit()
  "
  /> <input type="button" value="Regresar" onclick="document.getElementById('form_liberacion').action='avisos/index.php';
  document.getElementById('form_liberacion').submit()"/>
 
</form>

